import { LinkProps } from '@/types/common';

export default function Link({ text, href }: LinkProps) {
  return (
    <a className='group' href={href}>
      <span
        className={`text-xl transition-all duration-700 bg-left-bottom bg-gradient-to-r bg-[length:0%_3px] bg-no-repeat group-hover:bg-[length:100%_3px]`}
      >
        {text}
      </span>
    </a>
  );
}
